Bug 1889976 - [5.0] Ceph-Dashboard: Delete Host via dashboard UI is successful but host lists still shows the entry
Summary: [5.0] Ceph-Dashboard: Delete Host via dashboard UI is successful but host lis...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Dashboard
Version: 5.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: rc
: 5.2
Assignee: Nizamudeen
QA Contact: Sunil Angadi
Akash Raj
URL:
Whiteboard: cephadm
Depends On:
Blocks: 1959686 2102272
TreeView+ depends on / blocked
 
Reported: 2020-10-21 06:52 UTC by Preethi
Modified: 2022-08-09 17:36 UTC (History)
9 users (show)

Fixed In Version: ceph-16.2.8-30.el8cp
Doc Type: Bug Fix
Doc Text:
.Drain action on the Ceph dashboard ensures safe removal of host Previously, whenever a user removed a host on the Ceph dashboard without moving out all the daemons, the host transitioned to an unusable state or a ghost state. With this fix,users can use the drain action on the dashboard to move all the daemons out from the host. Upon successful completion of the drain action, the host can be safely removed.
Clone Of:
Environment:
Last Closed: 2022-08-09 17:35:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
Deleted entry seen (246.40 KB, image/png)
2020-10-21 06:52 UTC, Preethi
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHCSDASH-240 0 None None None 2021-11-04 09:49:07 UTC
Red Hat Product Errata RHSA-2022:5997 0 None None None 2022-08-09 17:36:30 UTC

Description Preethi 2020-10-21 06:52:31 UTC
Created attachment 1723092 [details]
Deleted entry seen

Description of problem:Delete Host via dashboard UI is successful but host lists still shows the entry in ceph-dashboard 5.0


Version-Release number of selected component (if applicable):
[root@magna094 ubuntu]# ./cephadm version
Using recent ceph image registry-proxy.engineering.redhat.com/rh-osbs/rhceph:ceph-5.0-rhel-8-containers-candidate-96803-20201013192445
ceph version 16.0.0-6275.el8cp (d1e0606106224ac333f1c245150d7484cb626841) pacific (dev)


How reproducible:


Steps to Reproduce:
1. Install 5.0 cluster
2. login to Dashboard UI and click on hosts section
3. Perform delete Host i.e magna093
4. Observe the behaviour


Actual results:
Magna093 is deleted succesfuly, but host entry still shows in the host list whereas cli reports deleted and removed from the hosts list similarly we see notification in dashboard for removed host.


Attached error snippet:

Expected results: Deleted host entry should be removed and not seen anywhere


Additional info:

Comment 3 Juan Miguel Olmo 2020-10-27 16:10:09 UTC

*** This bug has been marked as a duplicate of bug 1889985 ***

Comment 12 Nizamudeen 2021-07-16 06:42:29 UTC
@epuertat Created the bz https://bugzilla.redhat.com/show_bug.cgi?id=1982965

Comment 24 errata-xmlrpc 2022-08-09 17:35:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat Ceph Storage Security, Bug Fix, and Enhancement Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5997


Note You need to log in before you can comment on or make changes to this bug.